import { html as n } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (a, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = a.length - 1, o; i >= 0; i--)
    (o = a[i]) && (e = (r ? o(t, s, e) : o(e)) || e);
  return r && e && u(t, s, e), e;
};
let l = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--faceNeutralFilled", this.class = "c-pieIcon c-pieIcon--faceNeutralFilled", this.name = "IconFaceNeutralFilled";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--faceNeutralFilled"><path d="M12.793 3.208A6.8 6.8 0 0 0 8 1.218 6.782 6.782 0 1 0 14.78 8a6.8 6.8 0 0 0-1.989-4.792M5.75 6a.75.75 0 1 1 0 1.5.75.75 0 0 1 0-1.5M11 10.94H5V9.626h6zm-.75-3.44a.75.75 0 1 1 0-1.5.75.75 0 0 1 0 1.5"></path></svg>`;
  }
};
c([
  p({ type: String, reflect: !0 })
], l.prototype, "size", 2);
c([
  p({ type: String, reflect: !0 })
], l.prototype, "class", 2);
l = c([
  h("icon-face-neutral-filled")
], l);
export {
  l as IconFaceNeutralFilled
};
